module Main where
import           Test.Tasty            (defaultMain, testGroup)

import qualified BurntSushi
import           Test.Hspec
import           Text.Toml.Parser.Spec
import           Text.TomlSpec


main :: IO ()
main = do
  hspec hspecTests
  parserSpec <- tomlParserSpec
  bsTests <- BurntSushi.tests

  defaultMain $ testGroup ""
    [ parserSpec
    , bsTests
    ]
